## org.apache.cassandra.net
Interface IAsyncResult

    public interface IAsyncResult

Method Summary
`byte[]` `get()` Returns the result for the task that was submitted.
`byte[]` `get(long timeout, java.util.concurrent.TimeUnit tu)` Same operation as the above get() but allows the calling thread to specify a timeout.
`boolean` `isDone()` This is used to check if the task has been completed
`void` `result(Message result)` Store the result obtained for the submitted task.

Method Detail

### isDone

    boolean isDone()

  This is used to check if the task has been completed

  Returns:
    true if the task has been completed and false otherwise.

### get

    byte[] get()

  Returns the result for the task that was submitted.

  Returns:
    the result wrapped in an Object[]

### get

    byte[] get(long timeout,
               java.util.concurrent.TimeUnit tu)
               throws java.util.concurrent.TimeoutException

  Same operation as the above get() but allows the calling thread to specify a timeout.

  Parameters:
    `timeout` - the maximum time to wait
    `tu` - the time unit of the timeout argument
  Returns:
    the result wrapped in an Object[]
  Throws:
    `java.util.concurrent.TimeoutException`

### result

    void result(Message result)

  Store the result obtained for the submitted task.

  Parameters:
    `result` - the response message

Copyright © 2010 The Apache Software Foundation